Bug 3010 - consider libtcb to be added to /etc/buildreqs/packages/essential
: consider libtcb to be added to /etc/buildreqs/packages/essential
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-utils)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-09-18 21:22 by
Modified: 2008-02-15 22:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-18 21:22:49
I believe that libtcb dependency in BuildRequires is useless.  Here is why:

1) when the package is built against libtcb, it should contain libtcb-devel in
BuildRequires; linking against libtcb must imply the use of its header files;

2) when the package needs libtcb implicitly (via another packages), libtcb should
be recursively fetched with those packages; there's a packaging bug in those
packages otherwise;

I would say even more: there should not be any particular lib%name dependency in
BuildRequires, on condition that lib%name-devel package exists in the repo.  This
way we can enforce so-called full linking, which is a GoodThing(tm).
------- Comment #1 From 2003-09-19 15:47:49 -------
Actually libtcb is already there, I'm sorry.
But I think I touched an important thing which is worthwhile to be discussed one
day. So I pass the "REMIND" resolution.
------- Comment #2 From 2006-11-17 11:42:26 -------
Даже на 3.0:

$ grep tcb /etc/buildreqs/packages/essential
nss_tcb
$ rpm -qR nss_tcb | grep tcb                
libtcb = 0.9.8.9-alt1
libtcb.so.0  

FIXED?
------- Comment #3 From 2006-11-18 01:19:42 -------
Actually fixed in rpm-utils-0.9.2-alt1.
------- Comment #4 From 2008-02-15 22:49:47 -------
re
------- Comment #5 From 2008-02-15 22:53:37 -------
fixed так fixed.